%define rel 1mdk

Summary: A collection of scripts that create thumbnails for files
Name: nautilus_thumbnailers
Version: 0.0.3
Release: %rel
License: GPL
Group: File tools
Source: http://www.flyn.org/projects/nautilus_thumbnailers/%name.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.flyn.org/projects/nautilus_thumbnailers/index.html
BuildArch: noarch
Requires: nautilus
Requires: dia
Requires: gimp
Requires: ghostscript
BuildRequires: GConf2
PreReq: GConf2

%description
This package provides scripts to generate thumbnails for several file 
formats commonly used in the GNOME environment. When using these 
scripts with the nautilus file manager, for example, icons for PDF 
files will present the same appearance as the document itself. This 
has long been the case with images, but this package extends this 
technique to formats like PDF, PostScript and GIMP XCF.

%prep
%setup -q


%build
./configure --prefix=%_prefix --libdir=%_libdir
%make

%install
rm -rf %buildroot
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/thumbnailer.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/thumbnailer.schemas > /dev/null
fi

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/thumbnailer.schemas
%{_bindir}/abiword-thumbnailer
%{_bindir}/dia-thumbnailer
%{_bindir}/gimp-thumbnailer
%{_bindir}/gs-thumbnailer
%{_bindir}/vfstofs
%{_mandir}//man1/nautilus_thumbnailers.1.bz2

%changelog
* Sun Nov  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.0.3-1mdk
- add abiword thumbnailer
- new version

* Mon Oct 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-2mdk
- fix buildrequires

* Mon Oct 27 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.0.2-1mdk
- new version

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-2mdk
- fix schema uninstallation

* Mon Sep  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.0.1-1mdk
- initial package

